XkbGetDeviceInfoChanges(__libmansuffix__)

NAME
XkbGetDeviceInfoChanges - Query the changes that have occurred in the button actions or indicator names and indicator maps associated with an input extension device

SYNOPSIS

Status XkbGetDeviceInfoChanges (Display *dpy, XkbDeviceInfoPtr device_info, XkbDeviceChangesPtr changes);

ARGUMENTS

- dpy
    connection to X server

- device_info
    structure to update with results

- changes
    contains notes of changes that have occurred

DESCRIPTION

The changes->changed field indicates which attributes of the device specified in changes->device have changed. The parameters describing the changes are contained in the other fields of changes. XkbGetDeviceInfoChanges uses that information to call XkbGetDeviceInfo to obtain the current status of those attributes that have changed. It then updates the local description of the device in device_info with the new information.

SEE ALSO
XkbGetDeviceInfo(__libmansuffix__)